//
//  UILabel+DRF_GetAdaptFrame.h
//  DRF_TureStoreroom
//
//  Created by DRF on 2016/12/2.
//  Copyright © 2016年 DRF. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface UILabel (DRF_GetAdaptFrame)

/*
 
 高度自适应各个参数:
 text: 自适应的文字
 font: 字体大小
 x: 加到父视图的x坐标
 y: 加到父视图的y坐标
 width: 规定label的宽度
 
 */

-(void)adaptHeightWithText:(NSString *)text font:(CGFloat)font x:(CGFloat)x y:(CGFloat)y width:(CGFloat)width;


/*
 
 宽度自适应各个参数:
 text: 自适应的文字
 font: 字体大小
 x: 加到父视图的x坐标
 y: 加到父视图的y坐标
 注: 高度为默认为一行的高度 根据字体大小适应
 
 */

-(void)adaptWidthWithText:(NSString *)text font:(CGFloat)font x:(CGFloat)x y:(CGFloat)y;

@end
